/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomImageData_H__
#define __GdomImageData_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomImageData GdomImageData;
typedef struct _GdomImageDataClass GdomImageDataClass;


#define GDOM_TYPE_IMAGE_DATA            (gdom_image_data_get_type())
#define GDOM_IMAGE_DATA(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_IMAGE_DATA, GdomImageData))
#define GDOM_IMAGE_DATA_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_IMAGE_DATA, GdomImageData)Class)
#define GDOM_IS_IMAGE_DATA(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_IMAGE_DATA))
#define GDOM_IS_IMAGE_DATA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_IMAGE_DATA))
#define GDOM_IMAGE_DATA_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_IMAGE_DATA, GdomImageDataClass))

typedef struct _GdomImageDataPrivate GdomImageDataPrivate;

struct _GdomImageData {
    GdomDOMObject parent_instance;
    GdomImageDataPrivate *priv;
};

struct _GdomImageDataClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_image_data_get_type (void);

G_END_DECLS

#endif /* __GdomImageData_H__ */
